EDIT - feature request #5647

Aggregate misapplied names with multiple sensu references
03/14/2016 01:12 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.0

Severity: minor

Description

Sometimes we do have multiple sensu references for a misapplied name as multiple sources use the name in the wrong way.
This kind of messes up the synonymy if we repeat the name for each sensu.

Instead we could check if misapplied names in the synonymy are exactly equal except for the sensu and instead create a sensu
reference like sensu A, B, C & D.

An example is Ossaea glomerata which is a misapplied name for Miconia cubacinerea Judd & Majure in Cuba Checklist:
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/6bbb3f75-ac3c-40f8-b91d-01069d5173c9 (we do now have 2
misapplied names, one for sec A&S which has an author, and for Flora de Cuba which has no author)

Note: Deduplication is already implemented somehow, currently sensu information is as annotation

Related issues:

Related to EDIT - bug #5676: Sensu does not show up if no author exists for s... Closed
Related to EDIT - bug #5491: Implement name phrase correctly for misapplied n... Closed
Related to EDIT - bug #5492: Doubtful synonyms and misapplied names to be dis... Closed
Related to EDIT - feature request #7666: Remaining issues for "Formatter and ... In Progress
Related to EDIT - feature request #7658: use new taxon relationship DTO webse... Closed

Associated revisions

Revision 6bb442fe - 04/22/2016 07:17 PM - Andreas Kohlbecker

#5647 avoiding duplicate sensu at missapplications

History

#1 - 03/16/2016 09:08 PM - Andreas Miiller

- Keywords set to Cuba

#2 - 04/14/2016 01:00 PM - Andreas Miuller

Hi Andreas,

hier ein Beispiel fir die dopptele sensu Anzeige:

AM

Ah jetzt weif3 ich warum das so ist.

Misapplied names mit dem selben namen werden de-dupliziert. Daher wurde beschlossen, dass die sec referenz immer nur als footnote angehangt
wird.

Durch die neue generische Moglichkeit die sec referenz in allen Teilen des Portals anzeigen zu kdnnen, kommt die sec referenz bei den missapplied
names wieder zum Vorschein.

a.
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/6bbb3f75-ac3c-40f8-b91d-01069d5173c9
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/07ed9159-6564-4371-8096-5f429aca05f6/synonymy?highlite=a6617ebd-dd7f-4c53-9540-1ad47fabc5c3&acceptedFor=a6617ebd-dd7f-4c53-9540-1ad47fabc5c3#a6617ebd-dd7f-4c53-9540-1ad47fabc5c3
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/07ed9159-6564-4371-8096-5f429aca05f6/synonymy?highlite=a6617ebd-dd7f-4c53-9540-1ad47fabc5c3&acceptedFor=a6617ebd-dd7f-4c53-9540-1ad47fabc5c3#a6617ebd-dd7f-4c53-9540-1ad47fabc5c3

#3 - 04/22/2016 03:01 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#4 - 04/22/2016 04:30 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Andreas Kohlbecker
Deduplication already works except for references with missing author, but this is handled in a separate ticket #5676.

Another minor issue is to remove the duplicate "sensu"s. Due to the existing reference footnotes it is clearly distinguable where a new reference starts
so we need sensu only once at the beginning but not before the second, third, ... misapplied name authorship. Semicolon separator is ok.

Check the above example to review if the missing authorship issue is solved here too once #5676 is solved

#5 - 04/27/2016 12:12 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

fixed: 6bb442f r27811 avoiding duplicate sensu at missapplications

#6 - 04/27/2016 07:18 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.0

#7 - 05/11/2016 05:33 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Replying to a.mueller:
Hi Andreas,

hier ein Beispiel fur die dopptele sensu Anzeige: ...

Sorry the given link was incorrect. It should be

1-b113- 5a97db1da21b&acceptedFor =81706265-200d-4¢71-b113-5a97db1da21b#817¢6265-200d-4c71-b113- 5a97db1da21b

Unfortunately this shows that this ticket together with #5676 is not yet fixed correctly:
1. A red error box shows up saying: cdm_compose_url(): missing pathParameter 0 for reference/$0/authorship
2."Zanthoxylum aromaticum" auct. shows the additional author sensu DC.1 but should not have an author at all

3. A footnote appears that only shows "1. sensu” which does not make sense

#8 - 05/11/2016 05:41 PM - Andreas Miiller

Also on http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/6bbb3{75-ac3c-40f8-b91d-01069d5173c9 the second MA secundum does
not show up at all anymore. It is "Ossaea glomerata" sensu A&S1 now but should be "Ossaea glomerata" sensu A&S1, Flora de Cuba

Maybe this is an issue also handled by #5676 as Flora de Cuba has no author. Anyway it should appear at least in the footnotes.

#9 - 06/02/2016 01:54 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

That this is definitely fixed can only now be seen after the installation problems with flora-cuba portal are fixed

#10 - 06/02/2016 03:09 PM - Andreas Miiller

There is an other ticket for displaying references correctly if they have no author (currently it only shows an empty string)

#11 - 10/14/2016 12:18 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/5676
https://dev.e-taxonomy.eu/redmine/issues/5676
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment3
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/1932a974-6139-4dae-98a4-98bb4e8362e4/synonymy?highlite=817c62e5-200d-4c71-b113-5a97db1da21b&acceptedFor=817c62e5-200d-4c71-b113-5a97db1da21b#817c62e5-200d-4c71-b113-5a97db1da21b
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/1932a974-6139-4dae-98a4-98bb4e8362e4/synonymy?highlite=817c62e5-200d-4c71-b113-5a97db1da21b&acceptedFor=817c62e5-200d-4c71-b113-5a97db1da21b#817c62e5-200d-4c71-b113-5a97db1da21b
https://dev.e-taxonomy.eu/redmine/issues/5676
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/6bbb3f75-ac3c-40f8-b91d-01069d5173c9
https://dev.e-taxonomy.eu/redmine/issues/5676

- Related to bug #5676: Sensu does not show up if no author exists for secundum reference added

#12 - 08/31/2018 10:20 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#13 - 08/31/2018 11:03 AM - Andreas Miuller

- Related to bug #5491: Implement name phrase correctly for misapplied names added

#14 - 08/31/2018 11:03 AM - Andreas Miiller
- Related to bug #5492: Doubtful synonyms and misapplied names to be displayed correctly added

#15 - 08/31/2018 11:03 AM - Andreas Miiller

- Related to feature request #7666: Remaining issues for "Formatter and DTO for taxon relationships (e.g. misapplied names)" added

#16 - 09/11/2018 05:50 PM - Andreas Miiller

- Related to feature request #7658: use new taxon relationship DTO webservice in portal added
